Subject: Re: linux-next: manual merge of the tip tree

From: Russell King - ARM Linux <[email-masked]>
Date: Mon, 28 Oct 2013 08:45:37 +0000

On Mon, Oct 28, 2013 at 08:47:22AM +0100, Thierry Reding wrote:
> On Sun, Oct 27, 2013 at 10:00:48AM +0000, Russell King - ARM Linux wrote:
> > On Sun, Oct 27, 2013 at 08:12:37AM +0100, Ingo Molnar wrote:
> > > 
> > > * Will Deacon <[email-masked]> wrote:
> > > > In future, I'll push back on any perf changes outside of arch/ in my 
> > > > tree, but that doesn't help us get out of the current situation: the 
> > > > patches are currently sitting in rmk's tree for 3.13, so that won't meet 
> > > > with -tip (outside of next) until Linus pulls them both. What can we do 
> > > > about that?
> > > 
> > > Unless you guys want to do a revert I guess there's not much to do but to 
> > > warn Linus in the ARM pull request that a conflict is coming up.
> > 
> > From Will's description, it sounded like this could be quite hairy to
> > fix up, so I'd like to include the conflict resolution in the pull
> > request so Linus has something to refer to if needed.  Could someone
> > please forward me that?
> 
> Hi Russell,
> 
> I've attached the relevant parts of the resolution, although I'm not
> sure if anybody's actually confirmed that it's correct.

I'm not sure whether that can happen any time before -final - Will is
(storm dependent) flying out to Linaro Connect today, and I've no idea
who to turn to for this to be tested for ARM.

I guess we have some time given that Linus has released -rc7 and his
comments during the Kernel Summit/in the rc7 announcement.